Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.util
Class ThreadPool

    java.lang.Object
      net.sf.antcontrib.util.ThreadPool

    public class ThreadPool

extends java.lang.Object

Place class description here.

Author:
  Matthew Inger

Constructor Summary
`ThreadPool(int maxActive)`

Method Summary
`ThreadPoolThread` | `borrowThread()`
`void` | `returnThread(ThreadPoolThread thread)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ThreadPool

    public ThreadPool(int maxActive)

Method Detail

### returnThread

    public void returnThread(ThreadPoolThread thread)

### borrowThread

    public ThreadPoolThread borrowThread()
                                  throws java.lang.InterruptedException

  Throws:
    `java.lang.InterruptedException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD